code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash set -x set -e export PYTHONUNBUFFERED="True" export CUDA_VISIBLE_DEVICES=$1 export LD_PRELOAD=/usr/lib/libtcmalloc.so.4 LOG="experiments/logs/rgbd_scene_single_depth.txt.`date +'%Y-%m-%d_%H-%M-%S'`" exec &> >(tee -a "$LOG") echo Logging output to "$LOG" # train FCN for single frames time ./tools/train_n...
yuxng/DA-RNN
experiments/scripts/rgbd_scene_single_depth.sh
Shell
mit
1,060
#!/bin/sh gem install xcpretty --no-rdoc --no-ri --no-document --quiet
vbergae/VBTree
script/bootstrap.sh
Shell
mit
73
#!/bin/bash killall ffmpeg #notify-send -t 6000 "Screencast paused" DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" zenity --question --text "Would you like to resume?" if [ $? = 0 ];then # 'yes' bash $DIR/screencast.sh else # 'no' bash $DIR/screencast_stop.sh fi #killall key-mon
babbelnedd/screencast
screencast_pause.sh
Shell
mit
290
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-2843-1 # # Security announcement date: 2014-01-13 00:00:00 UTC # Script generation date: 2017-01-01 21:06:49 UTC # # Operating System: Debian 7 (Wheezy) # Architecture: x86_64 # # Vulnerable packages fix on version: # - graphviz:2.26.3-14+deb7u1 # # Last ...
Cyberwatch/cbw-security-fixes
Debian_7_(Wheezy)/x86_64/2014/DSA-2843-1.sh
Shell
mit
643
#!/bin/sh set -e mkdir -p "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}" RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt > "$RESOURCES_TO_COPY" XCASSET_FILES=() case "${TARGETED_DEVICE_FAMILY}" in 1,2) TARGET_DEVICE_ARGS="--target-device ipad --target-device iphone" ;; 1) ...
y500/MWPhotoBrowser
Example/Pods/Target Support Files/Pods-MWPhotoBrowser_Example/Pods-MWPhotoBrowser_Example-resources.sh
Shell
mit
5,407
#! /bin/sh echo "======== 上传远端开始 ========" echo "======== 远端 repo 列表 ========" git remote -v ########################### servers=(gitlab github) ########################### para='' repo='master' if [[ $1 = "--force" ]]; then para=$1 elif [[ -n $1 ]]; then repo=$1 fi if [[ $2 = "--force" ]]; then para=$2 elif...
hikaliv/LiBoHikalivImageMinification
gitpush.sh
Shell
mit
505
docker build -t oydeu/oyd-shiny_armhf .
OwnYourData/app-template
docker/oyd-shiny_armhf/build.sh
Shell
mit
40
#!/bin/bash # /etc/init.d/VMManager #Change vbox to your virtualbox user VMUSER=vbox #Insert your virtual machines in here. The pattern is 'VM Name'*space*'VM Name', like this 'VM1' 'VM2' 'VM3' declare -a VM=('VirtualBox-Name'); case "$1" in start) echo "Starting VirtualBox VM..." ...
rafaelcpalmeida/phpvirtualbox-auto-starter
VMManager.sh
Shell
mit
973
#network interface on which to limit traffic IF="eth0" #limit of the network interface in question LINKCEIL="1gbit" #limit outbound Flurbo protocol traffic to this rate LIMIT="160kbit" #defines the address space for which you wish to disable rate limiting LOCALNET="192.168.0.0/16" #delete existing rules tc qdisc del d...
Flurbos/Flurbo
contrib/qos/tc.sh
Shell
mit
1,669
#!/bin/bash set -e JDK_FEATURE=10 #TMP=$(curl -L jdk.java.net/${JDK_FEATURE}) #TMP="${TMP#*Most recent build: jdk-${JDK_FEATURE}+}" # remove everything before the number #TMP="${TMP%%<*}" # remove everything after the number #JDK_BUILD="$(echo -e "${TMP}" | tr -d '[:space:]')" #...
arnaudroger/SimpleFlatMapper
.travis/install-jdk-10.sh
Shell
mit
991
#!/usr/bin/env bash # Copyright © 2011 - 2021 by Renaud Guillard (dev@nore.fr) ################################################################################ # Update ns/sh scripts and completion files ################################################################################ relativePathToRoot="../.." script...
noresources/ns-xml
tools/sh/update-sh.sh
Shell
mit
2,808
#!/usr/bin/env bash ROOT_DIR=$PWD; #rsync -r "$ROOT_DIR/libs/material/schematics" "$ROOT_DIR/dist/@uiux/material" cd "$ROOT_DIR/dist/libs/cdk" echo $PWD npm publish --access public cd "$ROOT_DIR/dist/libs/d3" echo $PWD npm publish --access public cd "$ROOT_DIR/dist/libs/dal" echo $PWD npm publish --access public ...
UIUXEngineering/ix-material
scripts/publish.sh
Shell
mit
906
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2013:0983 # # Security announcement date: 2013-06-25 20:14:52 UTC # Script generation date: 2017-01-01 21:14:41 UTC # # Operating System: Red Hat 5 # Architecture: x86_64 # # Vulnerable packages fix on version: # - curl.i386:7.15.5-17.el5_9 # - curl-de...
Cyberwatch/cbw-security-fixes
Red_Hat_5/x86_64/2013/RHSA-2013:0983.sh
Shell
mit
1,216
gradle clean build -x test service tomcat stop rm -rf /opt/tomcat/webapps/* cp -v build/libs/MediNetServices.war /opt/tomcat/webapps/ROOT.war service tomcat start
rokon12/mNet2
deploy.sh
Shell
mit
162
#!/bin/bash NUMBER=$((1)) for file in `ls -S $1` do echo $1/$file if [ -x $1/$file ] then echo Renaming $file to $file.$NUMBER mv $1/$file $1/$file.$NUMBER NUMBER=$(($NUMBER + 1)) fi done
olafkrawczyk/pwr_so_lab
lab0/script_4.sh
Shell
mit
200
docker run \ --name redis-cache \ -v /myredis/conf/redis.conf:/usr/local/etc/redis/redis.conf --name myredis redis redis-server /usr/local/etc/redis/redis.conf \ -d \ redis:latest docker run
programster/tutorial-redis-cache
Redis/start-redis-container.sh
Shell
mit
194
#!/usr/bin/env bash ## ======================================================================================= # File: setup-git.sh # Author: Cashiuus # Created: 16-Dec-2021 Revised: ##-[ Copyright ]-------------------------------------------------------------------------- # MIT License ~ http://opensource...
Cashiuus/penprep
system-setup/linux/setup-git.sh
Shell
mit
9,840
#!/bin/sh # file: implement.sh # # (c) Copyright 2008 - 2011 Xilinx, Inc. All rights reserved. # # This file contains confidential and proprietary information # of Xilinx, Inc. and is protected under U.S. and # international copyright and other intellectual property # laws. # # DISCLAIMER # This disclaimer is not a ...
aj-michael/Digital-Systems
Lab4-Part2-RAMwithHyperTerminalDisplay/ipcore_dir/Clock70HMz/implement/implement.sh
Shell
mit
3,428
#!/bin/bash wget https://s3-us-west-2.amazonaws.com/cities-gem/cities.tar.gz tar -xzf cities.tar.gz rm cities.tar.gz
RantGames/skirmish
pull_city_data.sh
Shell
mit
116
#!/BIN/BASH trap 'kill %1' SIGINT cd server/ npm start & cd ../client/ npm start
GabrielQDuarte/Series-MEAN2
init.sh
Shell
mit
84
#!/bin/sh myrun() { echo '```console' echo "$@" shift 1 "$@" echo '```' echo } cat <<EOF # TryTLS testing with Ubuntu We chose Ubuntu 12.04, 14.04 and 16.04 LTS releases for this TryTLS-shootout based on the [Ubuntu release end of life](http://www.ubuntu.com/info/release-end-of-life). \`\`\`console dock...
ouspg/trytls
shootout/ubuntu-14.04/shootout.sh
Shell
mit
1,602
#!/bin/sh # For installation and usage, please refer to my blog post: # http://derekstavis.github.io/posts/creating-a-installer-using-inno-setup-on-linux-and-mac-os-x/ # # The MIT License (MIT) # # Copyright (c) 2014 Derek Willian Stavis # # Permission is hereby granted, free of charge, to any person obtaining a copy ...
idleberg/InnoSetup-Sublime-Text
scripts/build.sh
Shell
mit
2,252
#!/bin/sh # From https://gist.githubusercontent.com/jace/88b81c51cd8044409ddbce97d582eaac/raw/eb49020ca2e896aea58549a5581f159340caafcb/denoise.sh : # 1. extract audio from all videos (assuming .mp4 videos). for FILE in *.mp4; do ffmpeg -i "$FILE" "${FILE%%.mp4}.wav"; done # for FILE in *.m4a; do ffmpeg -i $FILE ${FIL...
tom-weatherhead/bash-scripts
denoise_ffmpeg_sox.sh
Shell
mit
2,441
#!/bin/sh # Depends on ApacheBench https://httpd.apache.org/docs/2.2/programs/ab.html # # On Debian # ---------- # sudo apt-get install apache2-utils # # Included on Mac OS (nothing to do) # ab -n 100000 -c 10 -k "http://localhost:8090/search?q=Kosmos"
jaimeagudo/wikimediasearch-scala
benchmark/test_ab.sh
Shell
mit
255
#!/bin/bash echo "================================================================================" echo " Installing Nginx " echo "================================================================================" apt-get install -y nginx echo "========================================================================...
CompanyMate/deploy
scripts/nginx.sh
Shell
mit
1,682
#!/bin/sh echo "Stopping galaxy daemon..." cd ${GALAXY_HOME} GALAXY_RUN_ALL=1 sh run.sh --stop-daemon
crukci-bioinformatics/galaxy
admin/build/scripts/stop.sh
Shell
mit
103
#!/usr/bin/env bash set -euo pipefail function get_form_token { site=$1 problem=$2 curl -s "https://www.udebug.com/$site/$problem" | \ grep -o "form-[a-zA-Z0-9_-]\{43\}" | \ sed '1d' } function get_output { site="$1" problem="$2" input="$3" form_token="$4" response_h...
deniscostadsc/playground
scripts/udebug.sh
Shell
mit
4,008
#! /bin/sh rm -rf ./dist npm publish python setup.py sdist twine upload dist/*
sjml/hulkify
publish.sh
Shell
mit
83
# generated from catkin/cmake/env-hooks/05.catkin-test-results.sh.develspace.in export CATKIN_TEST_RESULTS_DIR="/home/viki/my_ws/src/gpsd_viewer/build/test_results" export ROS_TEST_RESULTS_DIR="$CATKIN_TEST_RESULTS_DIR"
ENSTA-Bretagne-Guerledan-BoiteNoire/ROS-ground-station
build/devel/etc/catkin/profile.d/05.catkin-test-results.sh
Shell
mit
221
#!/bin/bash # Void Linux inofficial package overlay script # Info: https://github.com/robotanarchy/void-packages-bleeding-edge # # FUNCTIONS # function STEP { echo "$(tput bold)::: $1$(tput sgr0)" } # $1: package name # $2: optional parameters function update_repo() { STEP "Updating $1 sources..." while IFS= read...
robotanarchy/void-packages-bleeding-edge
overlay.sh
Shell
cc0-1.0
4,491
#!/bin/sh ###################################################################### # # @file extrepofcns.sh # # @brief Documentation goes here. # # @version $Rev$ $Date$ # # Copyright &copy; 2012-2017, Tech-X Corporation, Boulder, CO. # See LICENSE file (EclipseLicense.txt) for conditions of use. # #################...
Tech-XCorp/bilder
extrepofcns.sh
Shell
epl-1.0
3,083
#!/bin/sh ### Following Assumptions are made in this script grep "xDSL_MODE_VRX" /flash/rc.conf if [ $? != "0" ] ; then echo "#<< xDSL_MODE_VRX" >> /flash/rc.conf echo "xDSL_MODE_VRX=vdsl" >> /flash/rc.conf echo "#>> xDSL_MODE_VRX" >> /flash/rc.conf echo "#<< ACCELERATION" >> /flash/r...
kbridgers/VOLTE4GFAX
target/linux/ltqcpe/platform_vr9/base-files/ramdisk_copy/flash/BSP-Test-VR9/bringup_xdsl_mode.sh
Shell
gpl-2.0
7,179
function selectDistro() { local distros # The array of distro names local distroSelected # The name of the distro the user selects local distroName # Add a custom 'distro' distros+=("Local File") while read -r distroName; do distroName="${distroName/images/}" distroName="${di...
moebrowne/RPi-image-manager
utils/select.sh
Shell
gpl-2.0
1,488
#!/bin/bash # ntsk13 for build forlinux kernel export PATH=/usr/local/arm/arm-none-linux-gnueabi/bin:$PATH make clean make | tee build.log
NTSK13/forlinux
build_kernel.sh
Shell
gpl-2.0
143
#!/bin/bash MONGOOSE_TGZ=mongooseim.tar.gz BUILD_PATH=_build/prod/rel/mongooseim tar czh --transform="s,${BUILD_PATH},mongooseim,S" -f $MONGOOSE_TGZ ${BUILD_PATH} export BUILDS=`pwd` # We use output of generate_vsn, because it does not contain illegal characters, returns # git tag when building from tag itself, an...
arcusfelis/MongooseIM
tools/circle-build-and-push-docker.sh
Shell
gpl-2.0
1,564
#!/bin/bash [[ -z "$__main__" || "$__main__" != 'CenTwe.sh' ]] && { echo 'Can not run this file directly'; exit 1; } # TODO: # 1) Using local variables in function # 2) # ------------------------------------------------------------------------------ _iam=`whoami` _scriptis="$1" _username="$2" _osarch=`arch` # Som...
DeaDSouL/CenTwe
core/core.sh
Shell
gpl-2.0
15,573
#!/bin/bash i=1 mkdir saidas # Executa o programa sobre todos os arquivos de entrada for arquivo in entradas/*.txt do python principal.py $arquivo saidas/saida_$i.txt; i=$((i+1)) done
celsocelante/trabgrafos
executa.sh
Shell
gpl-2.0
186
#!/usr/bin/env bash THIS_DIR=$(cd $(dirname $0); pwd) cd $THIS_DIR update() { git pull git submodule update --init --recursive install_rocks } # Will install luarocks on THIS_DIR/.luarocks install_luarocks() { git clone https://github.com/keplerproject/luarocks.git cd luarocks git checkout tags/v2.2.1 # ...
area31/telegram-bot
launch.sh
Shell
gpl-2.0
2,707
#!/bin/bash # # Do full runs (plan + run) for both credit and credit2 schedulers # # Usage: # ./schedbench.sh [n] # # Where [n] is the run number # if [[ -n "$1" ]] ; then run="$1" else run="test" fi file="${run}.bench" if ! [[ -e $file ]] ; then echo "Can't find benchmark file $file" exit 1 fi ./sc...
gwd/schedbench
scripts/schedbench.sh
Shell
gpl-2.0
670
#!/bin/sh ../configure --prefix=/usr CC=gcc-4.0 --with-tls --disable-profile CFLAGS="-pipe -fstrict-aliasing -g1 -O3"
mseaborn/plash-glibc
myconfig.sh
Shell
gpl-2.0
119
function clean_docker() { docker rmi -f $(docker images -f "dangling=true" -q) docker rmi -f `docker images -aq` docker rm $(docker ps --filter status=exited --quiet) # remove exited containers: #docker ps --filter status=dead --filter status=exited -aq | xargs -r docker rm -v # remove unused images: #docker images...
sasubillis/linux-scripts
docker_clean.sh
Shell
gpl-2.0
609
#!/bin/sh # # Control bar LEDs # # (c) 2014 Teltonika . /lib/led_functions.sh show_options() { printf "usage: $0 <number of leds>\n" } blink_leds() { echo "timer" > "$LED_PATH/$led0/trigger" echo "timer" > "$LED_PATH/$led1/trigger" echo "timer" > "$LED_PATH/$led2/trigger" echo "timer" > "$LED_PATH/$led3/trigge...
ingran/balzac
package/base-files/files/usr/sbin/ledbar.sh
Shell
gpl-2.0
861
#!/bin/bash fibos=( 1 2 ) last=2 sum=2 while [[ $last -le 4000000 ]] do last=$((${fibos[-1]}+${fibos[-2]})) fibos+=($last) if [[ $(($last % 2)) -eq 0 ]]; then sum=$(($sum+$last)) fi done echo "ANSWER:$sum"
chicks-net/euler-answers-chicks
problem002/answer002.sh
Shell
gpl-2.0
215
#!/bin/bash # # Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany. umask 022 PATH=/sbin:/bin:/usr/sbin:/usr/bin export PATH if [ -f /etc/sysconfig/btrfsmaintenance ] ; then . /etc/sysconfig/btrfsmaintenance fi if [ -f /etc/default/btrfsmaintenance ] ; then . /etc/default/btrfsmaintenance fi LOGIDENTIFI...
kdave/btrfsmaintenance
btrfs-defrag.sh
Shell
gpl-2.0
929
# # Setup videocore - Raspberry Userland # # Load utility functions . ./functions.sh if [ "$ENABLE_VIDEOCORE" = true ] ; then # Copy existing videocore sources into chroot directory if [ -n "$VIDEOCORESRC_DIR" ] && [ -d "$VIDEOCORESRC_DIR" ] ; then # Copy local videocore sources cp -r "${VIDEOCORESRC_DIR}...
drtyhlpr/rpi23-gen-image
bootstrap.d/43-videocore.sh
Shell
gpl-2.0
2,305
#!/bin/bash # In The Name of God # ======================================== # [] File Name : alacritty.sh # # [] Creation Date : 18-11-2020 # # [] Created By : Parham Alvani <parham.alvani@gmail.com> # ======================================= usage() { echo -n "alacritty terminal with jetbrains mono font and configura...
1995parham/dotfiles
scripts/alacritty.sh
Shell
gpl-2.0
822
#!/bin/bash function main() { jar cvfm UFM.jar manifest.txt com/itdominator/ufm/*.class \ com/itdominator/ufm/TabSystem \ com/itdominator/ufm/ThumbnailSystem \ com/itdominator/ufm/Utils \ ...
maximstewart/UDE
UFM/buildJar.sh
Shell
gpl-2.0
388
#!/bin/bash ### Description: Start ssh service in container ### Written by: Alex Yin - mooncreeks@gmail.com on 11-06-2015 __create_user() { # Create a user to SSH into as. useradd admin SSH_USERPASS=abcd.9527 echo -e "$SSH_USERPASS\n$SSH_USERPASS" | (passwd --stdin admin) echo ssh user password: $SSH_USERPASS } # Call...
mooncreeks/Centos-Dockerfiles
ssh/centos7/start.sh
Shell
gpl-2.0
349
#!/bin/bash if [ -z "$1" ] ; then echo input file missing echo "Usage: $0 input.cu8 output.sr [sample rate in kHz]" exit 1 fi if [ ! -r "$1" ] ; then echo input not found echo "Usage: $0 input.cu8 output.sr [sample rate in kHz]" exit 1 fi file=$1 if [ -z "$2" ] ; then echo output file missing echo "Us...
zerog2k/rtl_433
examples/sigrok-conv.sh
Shell
gpl-2.0
1,293
#! /bin/bash # Copying and distribution of this file, with or without modification, # are permitted in any medium without royalty provided the copyright # notice and this notice are preserved. This file is offered as-is, # without any warranty. set -e if [ "${SAGE_AGE}" == "-1" ]; then sudo add-apt-repository ppa:ai...
jplab/brocoli
.travis-install.sh
Shell
gpl-2.0
1,061
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2013-2022 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
gittup/tup
test/t3078-group-rmdir3.sh
Shell
gpl-2.0
1,273
#!/bin/sh # ***** BEGIN LICENSE BLOCK ***** # This file is part of Natron <http://www.natron.fr/>, # Copyright (C) 2016 INRIA and Alexandre Gauthier # # Natron is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; e...
olear/Natron
tools/MacOSX/build-plugins.sh
Shell
gpl-2.0
8,262
# # Copyright 2003 Sun Microsystems, Inc. All Rights Reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free Software Foundation. # #...
TheTypoMaster/Scaper
openjdk/jdk/test/java/util/zip/3GBZipFiles.sh
Shell
gpl-2.0
4,096
g++ -std=c++11 -I.. -o test_opencl_gini test_opencl_gini.cpp -lctemplate
albertvucinovic/memrest
test/test_opencl_gini.sh
Shell
gpl-2.0
73
#!/bin/bash #Crosslink #Copyright (C) 2016 NIAB EMR # #This program is free software; you can redistribute it and/or modify #it under the terms of the GNU General Public License as published by #the Free Software Foundation; either version 2 of the License, or #(at your option) any later version. # #This program is d...
eastmallingresearch/crosslink
compare_progs/compare_progs_erate.sh
Shell
gpl-2.0
2,181
#! /bin/sh ../turtle/turtle -p../crawl $1 gcc -I.. -I../crawl -S -O2 `basename $1 .t`.c
timfel/turtle
tools/make-assembler.sh
Shell
gpl-2.0
89
#!/bin/sh # Run this to generate all the initial makefiles, etc. srcdir=`dirname $0` test -z "$srcdir" && srcdir=. PKG_NAME="GNOME Phone Manager" (test -f $srcdir/configure.in) || { echo -n "**Error**: Directory "\`$srcdir\'" does not look like the" echo " top-level directory" exit 1 } which gnome-autog...
GNOME/phonemgr
autogen.sh
Shell
gpl-2.0
478
#!/usr/bin/env bash ## author:: sadican ## description:: installation script for Floodlight controller ## https://github.com/floodlight/floodlight ## linux distro:: Ubuntu 14.04.1 LTS x64 # fail on error set -e # fail on unset var usage set -o nounset echo -e "\nINSTALLING REQUIRED PACKAGES\n" sudo apt-get install -...
sadican/myScripts
floodlight.sh
Shell
gpl-2.0
615
#!/bin/bash # Push changes from laptop to asdrury@git.code.sf.net/p/owsx/git # http://www.siteground.com/tutorials/git/commands.htm git push origin master
devnull5475/SI_ORAWSV_POC
bin/push_gh.sh
Shell
gpl-2.0
156
#!/bin/bash # set to path where scripts are, usually /home/$USER/bin/otrAutoDownload otrAutoDownloadPath="/home/florin/bin/otrAutoDownload" source $otrAutoDownloadPath/otr.conf # grep new links $otrAutoDownloadPath/otrGrepLinks.sh $otrAutoDownloadPath if [ -f "$otrAutoDownloadPath/happyHour.lock" ] then echo "Down...
wasmitnetzen/otrAutoDownload
cron.sh
Shell
gpl-2.0
499
#!/bin/bash echo "" echo "" # Copy VideoModes cp ~/rp-video-manager/all-videomodes/videomodes-updated2.cfg /opt/retropie/configs/all/videomodes.cfg # SNES cp ~/rp-video-manager/users/thorig/system-retroarch-cfg/snes/retroarch-overlay-thorig-1080p-snes.cfg /opt/retropie/configs/snes/retroarch....
alfo456/display-switch
1080.sh
Shell
gpl-3.0
1,687
ant deploy && ./script/run-server.sh
willurd/gps-bukkit-plugin
script/build-and-run.sh
Shell
gpl-3.0
37
#!/bin/bash -eux set -o pipefail retry.py add-apt-repository 'ppa:fkrull/deadsnakes' retry.py apt-get update -qq retry.py apt-get install -qq \ shellcheck \ python2.4 \ retry.py pip install tox --disable-pip-version-check echo '{"verified": false, "results": []}' > test/results/bot/ansible-test-failure.jso...
Inspq/ansible
test/utils/shippable/other.sh
Shell
gpl-3.0
822
#!/bin/bash # By default, we're running on port 8003 and # in debug mode which means in the foreground # plackup is installed as part of the Plack module plackup -p 8003 bin/app.pl
rpgwnn/framework
start.sh
Shell
gpl-3.0
185
#!/bin/sh echo -n 'Preparing files...' cd .. rm -f tetzle.desktop.in cp tetzle.desktop tetzle.desktop.in sed -e '/^Name\[/ d' \ -e '/^GenericName\[/ d' \ -e '/^Comment\[/ d' \ -e '/^Icon/ d' \ -e '/^Keywords/ d' \ -i tetzle.desktop.in rm -f tetzle.appdata.xml.in cp tetzle.appdata.xml tetzle.appdata.xml.in sed ...
gottcode/tetzle
data/unix/po/update-pot.sh
Shell
gpl-3.0
785
#!/bin/bash # This script was written by Alessandro Accardo # You can redistribute or modify or whatever you want to do with this piece of code, under the terms of the GNU GPL v3 # Copyright © Alessandro Accardo. function getvalue() { # Much less complicated to read egrep -i ^$2=\".*\" $1 | cut -d'"' -f2 } function...
kLeZ/linux-proxy-layer
proxy.sh
Shell
gpl-3.0
2,970
#!/bin/bash # modules/gnuplot/run.sh # Copyright Vince Mulhollon 2014 # GPLv3 license pkg install --no-repo-update --yes gnuplot | $NIHLOG exit 0
vincemulhollon/nihconfig
modules/gnuplot/run.sh
Shell
gpl-3.0
149
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_PLATFORM=Cygwin_4.x-Windows CND_CONF=Debug CND_DISTDIR=dist CND_BUILDDIR=build CND_DLIB_EXT=dll NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/cs_158...
MichaelCoughlinAN/Odds-N-Ends
C++/Nim/CS 1581 Nim/nbproject/Package-Debug.bash
Shell
gpl-3.0
1,473
!Configuração da Terceira Etapa: Configurar Switch Layer-2 2960 - S3-SENAI !Acessando o modo exec user enable !Acessar modo de configuração global configure terminal !Configurando o VTP Client vtp mode client !Configurando o domínio do VTP vtp domain cisco.br !Configurañdo a senha do VTP ...
vaamonde/netacad
modulo-02/capitulo-05/05-Etapa-03.sh
Shell
gpl-3.0
905
#!/bin/bash # # Copyright (C) 2015 GNS3 Technologies Inc. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This pro...
GNS3/gns3-vm
scripts/upgrade.sh
Shell
gpl-3.0
4,518
#!/bin/bash # command to generate diff for upload to review board # the diff is made between the merge base revision (commit where branch made) # and the head of the branch. # the git diff command and other details are printed to be copy/paste into # description of review request. # function usage() { echo "u...
mikersgit/nixScripts
bash/reviewDiff.sh
Shell
gpl-3.0
1,524
#! /bin/bash # Tests whether a specified file exists of not, illustrates if/then/else. file=$1 if [ -e $file ] then echo -e "File $file exists" else echo -e "File $file doesn't exists" fi exit 0
UoM-ResPlat-DevOps/HPCshells
Resources/filetest.sh
Shell
gpl-3.0
205
#!/bin/bash echo "/run/beamOn 100000" > tmp.mac for front in 0 3 do for mirror in 0 1 do for ene in 0.5 1 2 3 4 5 do ./E6ES -c 1 -e $ene -p $mirror -d $front -m tmp.mac hadd -f ene"$ene"mirror"$mirror"det"$front"col1.root result_t* ./E6ES -c 1 -w -e $ene -p $mirror -d $front -m tmp.mac ...
aogaki/E6ElectronSpectrometer
Scripts/converter.sh
Shell
gpl-3.0
408
#!/bin/bash ## ------------------------------------------------------------------------ ## classicalMIPS, Roberto Hexsel, 23nov2012-13nov2015 ## ------------------------------------------------------------------------ # set -x if [ ! -v tree ] ; then # you must set the location of the cMIPS root directory in the ...
rhexsel/xinu-cMIPS
bin/run.sh
Shell
gpl-3.0
2,277
mlocarna example3.fa --alifold-consensus-dp --struct-weight=200 --use-ribosum=true --max-diff-am=30 --match=50 --max-diff=60 --min-prob=5.0E-4 --tree-min-prob=0.005 --rnafold-temperature=37.0 --noLP --plfold-span=150 --indel=-350 --indel-opening=-500 --sequ-local=false --mismatch=0 --write-structure
s-will/LocARNA
Data/Examples/Web/call3.sh
Shell
gpl-3.0
302
#!/bin/sh sv_stop() { for daemon in `ls /etc/daemons/*`; do /sbin/sv stop $daemon done } trap "sv_stop; exit" SIGTERM runsvdir /etc/daemons
erlend/docker-puppetmaster
usr/sbin/runsvinit.sh
Shell
gpl-3.0
151
#!/bin/bash cd src/kernel ./compileKernel.sh cd ../../ as src/boot/boot.S -o obj/boot.o ld obj/boot.o --oformat=binary -Ttext 0x7c00 -o bin/boot.bin toolchain/bin/makeImage
krzyswit2/randomOS
compile.sh
Shell
gpl-3.0
176
#! /bin/sh # # This is a collection of functions used to carry out common tasks # in Schroedinger helper scripts. It won't run as a stand-alone script. # if test -e $HOME/.bashrc; then source $HOME/.bashrc fi set_mpi_and_compiler_flavor () { flavor="$1"; shift if test -d .bzr -a -e .bzr/branch/last-revis...
riccardomurri/rheinfall
util/schroedinger/functions.sh
Shell
gpl-3.0
10,051
echo "remove old data" rm MeganServer-standalone.zip rm -r MeganServer-standalone/ echo echo echo echo echo "Building MEGANServer" echo echo gradle assemble echo echo echo "Building finished" echo echo echo echo "create archive" mkdir MeganServer-standalone cp ../../manual/manual.pdf MeganServer-standalone/ cp -r bin M...
danielhuson/megan6server
gradlebuild/standalone/buildCompressClean.sh
Shell
gpl-3.0
703
#!/bin/bash # subptcli=$1 # Get user variables if [[ -f ./.user_input ]] ; then echo "" echo "Previous user input found." echo "" cat ./.user_input echo "" star=$(cat .user_input | grep lrStar | awk '{print $2}') subptclno=$(cat .user_input | grep lrSubptclno | awk '{print $2}') apix=$(cat .user_input...
kylelmorris/localrec_control
localrec_create_subparticles.sh
Shell
gpl-3.0
8,974
#!/bin/bash ab -n 1000 -c 100 http://lenove:5000/
yetship/blog_codes
python/gevent/benchmark/bench.sh
Shell
gpl-3.0
51
####################################################### # Install fqzcomp -- FASTQ # # - - - - - - - - - - - - - - - - - - - - # # Morteza Hosseini seyedmorteza@ua.pt # # Diogo Pratas pratas@ua.pt ...
pratas/cryfa
script/ins_fqzcomp.sh
Shell
gpl-3.0
739
#!/bin/bash if [ $(id -u) -ne 0 ]; then echo >&2 "Must be run as root" exit 1 fi set -e set -x . config.env pushd /home/$NORMAL_USER/GitHub/companion/Common/Ubuntu/vision_to_mavros time ./install_vision_to_mavros.sh popd tput setaf 2 echo "Finished installing vision_to_mavros Pose Scripts" tput sgr0
diydrones/companion
RPI2/Ubuntu/7_setup_vision_to_mavros.sh
Shell
gpl-3.0
312
#!/bin/bash while : do cp /media/fritzbox/faxbox/*.pdf /var/www/html/alarmdisplay-ffw/fritzbox/faxbox/ sleep 7 done
windele/alarmdisplay-ffw
fritzbox/fritzbox_fax_synchron.sh
Shell
gpl-3.0
118
#!/usr/bin/env bash scriptName="stampPDF" installPath="/usr/bin/pdfForts/" serviceMenus="/usr/share/kservices5/ServiceMenus/pdfForts/" configFile="y" templateFile="y" templateName="stampPDF.odt"
sjau/pdfForts
stampPDF/vars.sh
Shell
gpl-3.0
196
#!/bin/bash cd fu-hive-shell/ git fetch --all git reset --hard origin/master git pull echo "给脚本添加权限:" echo `pwd` find . -name "*.sh" -exec chmod 775 {} \;
zhouchaochao/learning
doc/src/main/doc/git/强制下拉.sh
Shell
gpl-3.0
171
#!/bin/bash gnorpm-auth -U $*
kernt/linuxtools
gnome3-shell/nautilus-scripts/System/rpm/Install-Rpm.sh
Shell
gpl-3.0
30
#!/bin/bash # Powered by Gustavo Moreno Baez sub=`zenity --entry --title="Action Selection" --text="1.-Merge PDF 2.- Section Off Pages 3.- Extract Pages 4.- Insert watermark (watermark above-stamp-) 5.- Insert watermark (watermark below-background-) 6.- Protect PDF 7.- PDF Repair 8.- Convert to PDF (Any format suppor...
kernt/linuxtools
gnome3-shell/nautilus-scripts/System/File Processing/Pdf-Tools/Nautilus-Pdf-Tools.sh
Shell
gpl-3.0
8,405
#!/usr/bin/env bash # to-do: install via anaconda # to-do: install basemap, cartopy pips=( -c\ scitools\ cartopy jupyter matplotlib nltk numpy pandas pillow -c\ scitools\ pyshp scipy shapely scikit-learn ) for pip in "${pips[@]}"; do conda install -y "$pip" # pip2 install "$pip" -U # pip3 ...
GCDigitalFellows/drbdotfiles
etc/pip.sh
Shell
gpl-3.0
374
#!/bin/bash echo "alias net0-pf-10 off" >> /etc/modprobe.conf echo "options ipv6 disable=1" >> /etc/modprobe.conf echo 256960 > /proc/sys/net/core/rmem_default echo 256960 > /proc/sys/net/core/rmem_max echo 256960 > /proc/sys/net/core/wmem_default echo 256960 > /proc/sys/net/core/wmem_max echo 0 > /proc/sys/net/ip...
John3/Jx
scripts/deshabilitar_ipv6.sh
Shell
gpl-3.0
467
echo =============== INSTALLING PYTHON3 =============== sudo apt-get install -y python3.6 python3.6-dev libssl-dev if [ $? -ne 0 ] then echo apt install failed to run, maybe need root privileges? exit 1 fi curl https://bootstrap.pypa.io/get-pip.py | sudo python3.6 if [ $? -ne 0 ] then python3.6 -m pip if ...
purduesigbots/pros-cli
scripts/install_build_dependencies.sh
Shell
mpl-2.0
840
echo "polling command of devices with same service and subservices, different entity_type" export HOST_IOT=127.0.0.1:8080 echo "HOST_IOT $HOST_IOT ip and port for iotagent" export HOST_CB=127.0.0.1:1026 echo "HOST_CB $HOST_CB ip and port for CB (Context Broker)" export SERVICE=serv22 echo "SERVICE $SERVICE to creat...
hilgroth/fiware-IoTAgent-Cplusplus
scripts/polling_same_service_subservice.sh
Shell
agpl-3.0
5,161
#!/bin/bash # Expected parameters # $1 exec_run # $2 para_run # $3 reference output # $4 test output eval "$1 $2" 2>&1 | tee screen.log rtcode="${PIPESTATUS[0]}" echo $rtcode > exec.exit echo -e "\n\n" if [ -z "`grep "Expected to abort!" $3`" ];then # This case is expected to run normally if [ "$rtcode" != "...
QiaoLei-88/NSolver
utilities/script/regTestDriver.sh
Shell
lgpl-2.1
873
#!/bin/bash cd /home/netarkiv/test/conf/ echo Starting all applications on: 'sb-test-acs-001.statsbiblioteket.dk' if [ -e ./start_ViewerProxyApplication.sh ]; then ./start_ViewerProxyApplication.sh fi
netarchivesuite/netarchivesuite-svngit-migration
tests/dk/netarkivet/deploy/data/originals/test_target/sb-test-acs-001.statsbiblioteket.dk/startall.sh
Shell
lgpl-2.1
208
if [ "$CI_PULL_REQUEST" = "9389" ] || [ "$CI_BRANCH" = "set-implicits" ]; then equations_CI_REF=set-implicits equations_CI_GITURL=https://github.com/SkySkimmer/Coq-Equations mtac2_CI_REF=set-implicits mtac2_CI_GITURL=https://github.com/SkySkimmer/Mtac2 fi
ppedrot/coq
dev/ci/user-overlays/09389-SkySkimmer-set-implicits.sh
Shell
lgpl-2.1
275
#!/bin/bash set -e -o pipefail . ../../../test_common.sh test_init test_api_xccdf_unittests.log # # API C Tests # test_run "xccdf:complex-check -- NAND is working properly" ./test_xccdf_shall_pass $srcdir/test_xccdf_complex_check_nand.xccdf.xml test_run "xccdf:complex-check -- single negation" ./test_xccdf_shall_pas...
postfix/openscap
tests/API/XCCDF/unittests/all.sh
Shell
lgpl-2.1
6,695
echo 'Please wait...' sed -ri 's/^[ \t]*(<\/?category)/ \1/' $@ sed -ri 's/^[ \t]*(<\/?(rulegroup|!DOCTYPE))/ \1/' $@ sed -ri 's/^[ \t]*(<\/?(rule |rule>|!--|!ENTITY))/ \1/' $@ sed -ri 's/^[ \t]*(<\/?(marker|suggestion|equivalence|and|or))/ \1/' $@ sed -ri 's/^[ \t]*(<\/?(antipattern|pattern|regexp|message|...
meg0man/languagetool
languagetool-language-modules/pt/src/main/resources/org/languagetool/rules/pt/indent.sh
Shell
lgpl-2.1
515
#!/bin/bash if [ -d "/etc/apache2" ] then echo "STARTING APACHE WEBSERVER" NAME=`hostname` BASEFOLDER=/vagrant/machines/$NAME/www/ DOCROOT=$BASEFOLDER/docroot sudo a2ensite default-ssl.conf sudo sed -i 's%</VirtualHost>%<Directory "/var/www/html">\nAllowOverride All\n </Directory>\nSETENV MA...
ProxiBlue/vagrant-docker
provision/start-apache-web.sh
Shell
lgpl-3.0
1,002
#!/sbin/sh # @(#) $Id: get_bootdisk.sh,v 6.10.1.1 2013-09-12 16:13:15 ralph Exp $ # by Thomas Brix - works only with HPUX 11i v2 and above!!! # not used in cfg2html yet! lssf $(ls -l /dev/d*sk/* | grep $(echo "bootdev/x" | \ adb /stand/vmunix /dev/kmem | grep 0x | \ sed 's/0x..//') | head -1 | awk '{print $NF}') | \ a...
rossonet/templateAr4k
cfg2html-master/hpux/plugins/get_bootdisk.sh
Shell
lgpl-3.0
381
#!/bin/sh # # Copyright (C) 2013-2014 the original author or authors. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, # any later version....
alessandroleite/dohko
services/src/main/resources/org/excalibur/service/deployment/resource/script/02-iperf3.sh
Shell
lgpl-3.0
981